gitdpkgname(1)

NAME
gitdpkgname - GNU Interactive Tools - gitdpkgname helper script

SYNTAX
gitdpkgname [file...]

DESCRIPTION
gitdpkgname is a very small script that is used by gitfm(1) when using any of the ^C^D commands that expect a debian packagename. For each argument that ends in .deb, gitdpkgname queries the named package for its name and prints it. All other arguments are printed unchanged. This enables commands (e.g. ^C^DL) expecting a packagename to be given a .deb file, and the packagename will be extracted automatically.

SEE ALSO
gitfm(1) info(1) documentation for 'gnuit', especially section 3.1.9.21: Working with DPKG

BUGS
Please send bug reports to:
gnuit-dev@gnu.org

AUTHORS
Tudor Hulubei <tudor@cs.unh.edu>
Andrei Pitis <pink@pub.ro>
Ian Beckwith <ianb@erislabs.net> (Current maintainer)